Skip to content

Changing the Listings in Campaigns ​

http
PATCH /adv/v0/auction/nms

Base URL: https://advert-api.wildberries.ru · Module: promotion · Section: Campaign Management · Specification doc ↗

The method allows you to add and remove listings in campaigns.

For campaigns in statuses 4, 9 and 11.

The current minimum bid is set for the added items.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 s1 request1 s1 request
Service1 s1 request1 s1 request
Base with secret1 s1 request1 s1 request
Base1 h2 requests30 min1 request

Request body ​

application/json — schema object, required

  • nms object[] (required) — Listings in campaigns
    • advert_id integer<int64> (required) — Campaign ID
    • nms object (required) — Listings. Maximum of 50 items per campaign
      • add object — The listings that need to be added
      • delete integer<int64>[] — The listings that need to be deleted

Responses ​

CodeDescriptionSchema
200SuccessPatchV0AuctionNmsResponse200
400Bad requestresponse400
401Unauthorizedobject
403Access deniedobject
429Too many requestsobject

Structure 200:

  • nms object[] — The result of processing the request
    • advert_id integer<int64> — Campaign ID
    • nms object — Listings
      • added integer<int64>[] — Added listings
      • deleted integer<int64>[] — Deleted listings

Structure 400:

  • detail string — Error details
  • origin string — WB internal service ID
  • request_id string — Unique request ID
  • status integer<int64> — HTTP status code
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))

result = api.patch_v0_auction_nms(patch_v0_auction_nms_request=...)
print(result)
ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);

const { data } = await api.patchV0AuctionNms(patchV0AuctionNmsRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.PatchV0AuctionNms(context.Background()).PatchV0AuctionNmsRequest(patchV0AuctionNmsRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.patchV0AuctionNms(patchV0AuctionNmsRequest));
php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->patchV0AuctionNms($patch_v0_auction_nms_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.PatchV0AuctionNms(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);

Console.WriteLine(api.PatchV0AuctionNms(patchV0AuctionNmsRequest));
rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = promotion_api::patch_v0_auction_nms(&cfg, patch_v0_auction_nms_request).await;
    println!("{:#?}", result);
}